### Method

# EBookContacts VCardAttribute add_param_with_value

#### Declaration [src]

    void
    e_vcard_attribute_add_param_with_value (
      EVCardAttribute* attr,
      EVCardAttributeParam* param,
      const gchar* value
    )

#### Description [src]

Appends `value` to `param`, then prepends `param` to `attr`. This takes ownership of `param`, but not of `value`.

This is a convenience method for `e_vcard_attribute_param_add_value()` and e_vcard_attribute_add_param().

#### Parameters

`param`

  Type: `EVCardAttributeParam`

  An `EVCardAttributeParam`.

  The instance takes ownership of the data, and is responsible for freeing it.

`value`

  Type: `const gchar*`

  A string value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.